import '@material/web/button/elevated-button.js';
import '@material/web/button/text-button.js';
import '@operato/i18n/ox-i18n.js';
import '../../components/profile-component';
import { AbstractAuthPage } from '../../components/abstract-auth-page';
export declare class ForgotPassword extends AbstractAuthPage {
    emailInput: HTMLInputElement;
    button: HTMLInputElement;
    get pageName(): string;
    get actionUrl(): string;
    get formfields(): import("lit-html").TemplateResult<1>;
    get links(): import("lit-html").TemplateResult<1>;
    submit(): Promise<void>;
    showSnackbar({ message, level }: {
        message: any;
        level: any;
    }): void;
}
